<?php // $Id: diapo_edit.php,v 1.2 2010/09/07 19:41:07 pangard Exp $

require_once('../../config.php');
require_once('lib.php');
require_once('diapo_edit_form.php');

global $CFG, $USER;

$id      = optional_param('id', 0, PARAM_INT);   // course_module ID
$videotutor_id = optional_param('videotutor_id', 0, PARAM_INT); // id del videotutor correspondiente
$diapo_id = optional_param('diapo_id', 0, PARAM_INT); // id de la diapositiva

if ($id) {
    if (! $cm = get_coursemodule_from_id('videotutor', $id)) {
    print $cm;
        error('Course Module ID was incorrect');
    }

    if (! $course = get_record('course', 'id', $cm->course)) {
        error('Course is misconfigured');
    }

    if (! $videotutor = get_record('videotutor', 'id', $cm->instance)) {
        error('Course module is incorrect');
    }

} else {
    error('You must specify a course_module ID');
}

if (! $videotutor_id) {
    error('You must specify a slide ID');
}


if (! $diapo_id) {
    error('You must specify a slide ID');
}

require_login($course, true, $cm);
$context = get_context_instance(CONTEXT_MODULE, $cm->id);
if (!has_capability('mod/videotutor:write', $context) and !has_capability('mod/videotutor:manageentries', $context)) {
    error('You can not edit slides.');
}

$videotutor_diapinf = get_record('videotutor_diapinf', 'id', $diapo_id);

$mform =& new mod_videotutor_diapo_form(null, compact('cm','videotutor_diapinf', 'videotutor','context'));

$toform = new object();
$diapositiva = get_record('videotutor_diapinf', 'id', $diapo_id); 
$toform->titulo = $diapositiva->titulo;
$toform->html_slide = $diapositiva->html_slide;
$toform->video = $diapositiva->videourl;
$mform->set_data($toform);


if ($mform->is_cancelled()){
    redirect("edit.php?id=$cm->id");
} elseif ($fromform = $mform->get_data()) {

    $todb->titulo = $fromform->titulo;
    $todb->html_slide = $fromform->html_slide;
    $todb->id = $fromform->diapo_id;
    $todb->videourl = $fromform->video;
    update_record('videotutor_diapinf', $todb);
    redirect("edit.php?id=$cm->id");

} else {

}
 
$stredit = get_string('edit', 'videotutor');
$navigation = build_navigation($stredit, $cm);
print_header_simple(format_string($videotutor->name), "", $navigation, "",
              "", true, "", navmenu($course, $cm));

print_heading(format_string($videotutor->name));

$mform->display();
print_footer($course);

?>
