<?php // $Id: diapo_remove.php,v 1.1 2011/01/08 12:26:47 pangard Exp $

require_once('../../config.php');
require_once('lib.php');
require_once('diapo_edit_form.php');

global $CFG, $USER;

$id      = optional_param('id', 0, PARAM_INT);   // course_module ID
$videotutor_id = optional_param('videotutor_id', 0, PARAM_INT); // id del videotutor correspondiente
$diapo_id = optional_param('diapo_id', 0, PARAM_INT); // id de la diapositiva

if ($id) {
    if (! $cm = get_coursemodule_from_id('videotutor', $id)) {
    print $cm;
        error('Course Module ID was incorrect');
    }

    if (! $course = get_record('course', 'id', $cm->course)) {
        error('Course is misconfigured');
    }

    if (! $videotutor = get_record('videotutor', 'id', $cm->instance)) {
        error('Course module is incorrect');
    }

} else {
    error('You must specify a course_module ID');
}

if (! $videotutor_id) {
    error('You must specify a slide ID');
}


if (! $diapo_id) {
    error('You must specify a slide ID');
}

require_login($course, true, $cm);
$context = get_context_instance(CONTEXT_MODULE, $cm->id);
if (!has_capability('mod/videotutor:write', $context) and !has_capability('mod/videotutor:manageentries', $context)) {
    error('You can not edit slides.');
}


//Lo primero es reducir el índice del resto de transparencias.
$diapositiva = get_record('videotutor_diapinf', 'id', $diapo_id); 
$order = $diapositiva->orden;
$todos = get_records_list('videotutor_diapinf', 'videotutorid', $videotutor->id);

foreach($todos as $diapo)
{
	if($diapo->orden > $order)
        {
            $diapo->orden--;
            update_record('videotutor_diapinf', $diapo);
        }
}

delete_records('videotutor_diapinf', 'id', $diapo_id);

$videotutor->numdiap--; 
update_record('videotutor', $videotutor);
redirect("edit.php?id=$cm->id");
	
?>
