<?php // $Id: edit_form.php,v 1.2 2010/01/04 22:56:36 pangard Exp $
require_once ($CFG->dirroot.'/lib/formslib.php');

class mod_autotutor_diapo_form extends moodleform {

    function definition() {

        global $CFG, $COURSE;
        $mform    =& $this->_form;

        $autotutor =& $this->_customdata['autotutor'];
        $cm       =& $this->_customdata['cm'];
        $diapositiva =& $this->_customdata['autotutor_diapinf'];

//-------------------------------------------------------------------------------
        $mform->addElement('header', 'general', get_string('general', 'form'));
        
        // Recibir el numero de diapositivas y hacer un select con el
    
        $selecdiap = array();
        for ($j=1; $j<= $autotutor->numdiap; $j++) {
            $selecdiap = array_pad($selecdiap, $j,  get_string('diapo', 'videotutor')
.' '.$j);
        }
        $mform->addElement('select', 'selecciona', get_string('choice','autotutor'), $selecdiap);

    // Botón para mostrar contenido de la diapositiva
        
    $mform->addElement('submit', 'mostrar', get_string('show','autotutor'));

    // Mostrar el contenido de la diapositiva seleccionada en el formulario.

    $mform->registerNoSubmitButton('mostrar');


    // Mostrar la diapositiva seleccionada en un editor HTML
        
        $mform->addElement('text', 'titulo', get_string('titulodiapo', 'videotutor'));
        $mform->setType('titulo', PARAM_TEXT);
    //$mform->setDefault('diapo',$diapositiva->titulo);
        //$mform->addRule('diapo', null, 'required', null, 'client');

        $mform->addElement('htmleditor', 'html_slide', get_string('contenidodiapo', 'videotutor'), array('rows'=>20));
        $mform->setType('html_slide', PARAM_RAW);
    //$mform->setDefault('diapocont',$diapositiva->html_slide);
        //$mform->addRule('diapocont', null, 'required', null, 'client');
        $mform->setHelpButton('html_slide', array('writing', 'richtext'), false, 'editorhelpbutton');

        $mform->addElement('format');

    // Botón de modificar la diapositiva seleccionada

    $mform->addElement('submit', 'modificar', get_string('modify','autotutor'));


    // Modificar la diapositiva seleccionada.


    $mform->addElement('hidden', 'id', $cm->id);

//-------------------------------------------------------------------------------
        $this->add_action_buttons();
    }

}
?>
